<?xml version="1.0"?>
<!--
    Digg Sidebar - Shows Digg stories in the Firefox sidebar in real time.
    Copyright (C) 2008  Abhinav Sarkar <abhinav dot sarkar at gmail dot com>

    This file is a part of Digg Sidebar.

    Digg Sidebar is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Digg Sidebar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Digg Sidebar.  If not, see <http://www.gnu.org/licenses/>.
-->
<!DOCTYPE overlay SYSTEM "chrome://diggsidebar/locale/diggsidebar.dtd">
<?xml-stylesheet href="chrome://diggsidebar/skin/diggsidebar.css" type="text/css" ?>
<overlay id="diggSidebarOverlay"
         xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

  <menupopup id="viewSidebarMenu">
    <menuitem key="key_openDiggSidebar" observes="viewDiggSidebar"  />
  </menupopup>

  <keyset id="mainKeyset">
    <key id="key_openDiggSidebar" command="viewDiggSidebar"
         key="&openDiggSidebar.commandkey;"
         modifiers="&openDiggSidebar.modifierskey;" />
  </keyset>

  <broadcasterset id="mainBroadcasterSet">
    <broadcaster id="viewDiggSidebar"
                 label="&diggsidebar.title;"
                 autoCheck="false"
                 type="checkbox"
                 group="sidebar"
                 sidebarurl="chrome://diggsidebar/content/diggsidebar.xul"
                 sidebartitle="&diggsidebar.title;"
                 oncommand="toggleSidebar('viewDiggSidebar');" />
  </broadcasterset>

  <toolbarpalette id="BrowserToolbarPalette">
    <toolbarbutton id="diggsidebar-button" class="toolbarbutton-1"
      label="&diggsidebar.title;" tooltiptext="&diggsidebar.tooltip;"
      oncommand="toggleSidebar('viewDiggSidebar');"/>
  </toolbarpalette>

</overlay>
